#ifndef MTASK_H
#define MTASK_H

#ifndef MINPUTSTREAMID_H
#include "MInputStreamID.h"
#endif

class MParList;

class MTask : public MInputStreamID
{

public:
    ~MTask()
    {
    }

    virtual Bool_t PreProcess(MParList *pList);
    virtual Bool_t Process();
    virtual Bool_t PostProcess();

    ClassDef(MTask, 1)		// Base (abstract) class for a task
};

#endif
